Openshot 1.4.3 больше не распознает блендер при создании анимированных титров

Я использовал openshot и blender для создания анимированных титров, и это работало нормально, пока openshot просто не начал кричать о blender без видимой причины. Предварительный просмотр работает нормально, а некоторые работают. Кажется, что простые, включающие только текстовую работу, но те, которые требуют трехмерного моделирования, не работают. Вот ошибка, которую я получаю:

Blender, для этого действия требуется бесплатный набор для создания 3D-контента с открытым исходным кодом ( http://www.blender.org ). [114 ]

Пожалуйста, проверьте настройки в OpenShot и убедитесь, что исполняемый файл Blender правильный. Этот параметр должен указывать путь к исполняемому файлу «blender» на вашем компьютере. Также, пожалуйста, убедитесь, что он указывает на версию Blender 2.62 или выше.

Blender Path: blender

Вывод ошибки: в выходных данных Blender

blockquote>

не было найдено ни одного кадра, но раньше он работал нормально из того же каталога. И это должна быть совместимая версия, так как у меня установлена ​​2.66a.

Единственное, о чем я могу думать, это то, что это начало происходить после того, как Ubuntu (13.04 Raring Ringtail) обновил некоторые файлы python. Я не уверен, что именно они были, но я знаю, что было обновление с участием Python, которое, как я знаю, должно работать blender, так что это может быть ошибкой в ​​последнем Python или несовместимостью с ним blender.

Я также могу открыть блендер и использовать его просто отлично, но я еще не пробовал ничего рендерить в нем, потому что я не знаю, как его использовать, поэтому мне нечего рендерить!

[1111 ] Заранее спасибо, дайте мне знать, если вам нужна дополнительная информация и / или журналы (но я полный нуб Ubuntu, поэтому мне понадобится некоторая помощь, если вам нужны какие-либо журналы: P).

РЕДАКТИРОВАТЬ: Просто прочитайте блог Openshot и увидите, что 1.4.4 был выпущен и доступен через их PPA. Я пытался установить это, но проблема не исчезла. Вот PPA, если вам интересно:

sudo add-apt-repository ppa:openshot.developers/ppa
sudo apt-get update
sudo apt-get install openshot openshot-doc

Другое редактирование: полагая, что это была проблема с блендером, я скачал последнюю версию (2.68a), которая находится в файле .tar.bz2, который должен запускаться как переносимое приложение. После перенаправления каталога блендера openshot на извлеченные файлы проблема все еще остается. Получил его с этого сайта:

http://www.blender.org/download/get-blender/

blockquote>

1
задан 13.04.2020, 15:40

5 ответов

Нашел это на другом сайте, и у меня это сработало. Очень простое решение! «Я использую Ubuntu 14.04.1, и мне нужно было изменить местоположение blender со значения по умолчанию« blender »на« / usr / bin / blender », поскольку это путь, используемый для доступа к blender. blender '(без кавычек) покажет путь к исполняемому файлу blender. Введите всю строку вывода, включая / в начале, в строку настроек местоположения Blender. " Благодаря rdgreenlaw (rgreenlaw) на https://answers.launchpad.net/openshot/+question/249837

0
ответ дан 13.04.2020, 15:40

Это ошибка! Используйте Blender для редактирования видео. Вам просто нужно найти кнопку, которая открывает интерфейс из «видеоредактора».

0
ответ дан 13.04.2020, 15:41

У меня тоже была эта проблема. Кажется, что версия Blender 2.69-4ubuntu2, которая находится в Центре программного обеспечения Ubuntu, в настоящее время не совместима с Openshot 1.4.3-1.1, который в настоящее время находится в Центре программного обеспечения.

Решением для меня было загрузить Blender версии 2.62 с этого сайта , развернуть его, поместить файлы в новую папку, которую я назвал blender1, в домашней папке, а затем скопировать значок исполняемого файла и вставьте его в поле «Исполняемый файл Blender» в настройках Openshot. Теперь все работает отлично!

0
ответ дан 13.04.2020, 15:41

Взято из здесь . Откройте терминал и выполните следующие команды:

 cd /usr/share/pyshared/openshot/blender/scripts/
 sudo cp -f dissolve.py dissolve-back.py
 sudo gedit /usr/share/pyshared/openshot/blender/scripts/dissolve.py

Теперь найдите эту строку:

ActiveObjectText.modifiers['Remesh'].remove_disconnected_pieces=False 

И измените ее на:

 ActiveObjectText.modifiers['Remesh'].use_remove_disconnected = False

И эту строку:

ActiveObjectText.particle_systems['ParticleSystem'].settings.adaptive_subframes= True  

Необходимо изменить на:

ActiveObjectText.particle_systems['ParticleSystem'].settings.use_adaptive_subframes= True

Сохраните файл и выйдите.

-1
ответ дан 13.04.2020, 15:42

Вам следует пройти весь путь блендера по настройкам в openShot. В моем случае я делаю / usr / bin / blender. Я использую Ubuntu 14.04

0
ответ дан 13.04.2020, 15:43

Теги

Похожие вопросы